See the top rated post in this thread. Click here

Results 1 to 3 of 3

Thread: Move Lisp

  1. #1
    I could stop if I wanted to lmitsou's Avatar
    Join Date
    2003-01
    Location
    UK
    Posts
    219
    Login to Give a bone
    0

    Question Move Lisp

    Hi all,

    Does anybody have a lisp routine that would move two parallel objects (i.e. lines, plines,etc.) , the same distance but opposite direction? It is something like the classic move command but you will be required to pick two objects, then set the distance and when you "enter" the distance, the two object will move towards opposite directions but same distance.

    Any help would be very much appreciated.

    Thanks,
    L. Mitsou



  2. #2
    AUGI Addict kennet.sjoberg's Avatar
    Join Date
    2002-05
    Posts
    1,707
    Login to Give a bone
    1

    Default Re: Move Lisp

    Here is a simple code in the fly for you to start with
    no errorhandler, no user trapping security
    just select 2 objects and split. . .
    Code:
    (defun c:split (/ Ent1 Ent2 Pt1 Pt2 )
      (setq Ent1 (entsel "Select first object : " ) )
      (redraw (car Ent1 ) 3 )
      (setq Ent2 (entsel "Select second object : " ) )
      (redraw (car Ent2 ) 3 )
      (setq Pt1 (getpoint "Move from : " ) )
      (setq Pt2 (getpoint Pt1 "to : " ) )
      (command "._move" Ent1 "" Pt1 Pt2 )
      (command "._move" Ent2 "" Pt2 Pt1 )
      (princ)
    )
    : ) Happy Computing !

    kennet

  3. #3
    I could stop if I wanted to lmitsou's Avatar
    Join Date
    2003-01
    Location
    UK
    Posts
    219
    Login to Give a bone
    0

    Default Re: Move Lisp

    That will do the trick Kennet. Thanks very much for your help.
    L. Mitsou



Similar Threads

  1. LISP to move up or down
    By j.p.lackey678678 in forum AutoLISP
    Replies: 2
    Last Post: 2014-11-24, 07:25 PM
  2. Move MText at a certain Z value LISP
    By djin_fre3449006 in forum AutoLISP
    Replies: 5
    Last Post: 2013-11-28, 08:17 AM
  3. Lisp to move block along line
    By jayhay35365091 in forum AutoLISP
    Replies: 5
    Last Post: 2013-09-13, 06:01 PM
  4. LISP: move dopo di insert
    By dgomez.189897 in forum Italiano - AutoCAD / AutoCAD LT
    Replies: 1
    Last Post: 2009-03-14, 08:38 PM
  5. Move 3D LISP
    By tollyboy22 in forum AutoLISP
    Replies: 6
    Last Post: 2006-04-13, 05:59 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •